Page MenuHomePhabricator

Basic reference dialog: Remove unnecessary button
Closed, ResolvedPublic

Description

To open the Reference dialog from the beta cluster: Open VE, place your cursor anywhere, and choose
Insert > Basic reference.

To open the dialog from test.wikipedia.org:

  1. Open VE, place your cursor anywhere, and choose Cite to open the Add-a-citation dialog.
  2. Select the Manual tab and choose “Basic form.”

At the bottom of the dialog is a button labeled “Use an Existing Reference.”

But this is an option that the user has already rejected in favor of opening the current dialog with the intention of typing in a new reference. In set-ups where VE has a Cite menu (as on test.wiki), the user bypasses the Re-use tab and instead uses the Manual tab (Basic form option) to open the current dialog.

In set-ups without a Cite menu (as on the beta cluster), the user bypasses the Insert menu’s Re-use Reference option and chooses Basic Reference to open the current dialog.

So there’s really no need to repeat the “Use an Existing Reference” option in the current dialog. (Well – I guess you could argue that it gives users flexibility on the off chance that they arrive at the dialog by mistake, but to be consistent you’d ALSO have to add a button for the third option, Automatic – at least in set-ups with a Cite menu, where the basic reference dialog is reached via the Add-a-citation dialog with its three options of Manual, Re-use, and Automatic.)

Event Timeline

Barbvd created this task.Jan 30 2019, 9:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2019, 9:55 PM
Aklapper renamed this task from VE – Basic reference dialog – Remove unnecessary button. to Basic reference dialog: Remove unnecessary button.Jan 30 2019, 10:37 PM
Aklapper added a project: VisualEditor.

So I actually proposed the same thing as part of T208981 (where I also proposed putting a different button in the same spot). I think we're still discussing some parts of that task, but I'm happy to learn someone wants to remove this button regardless :)

Change 483335 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/Cite@master] ve.ui.MWReferenceDialog: Remove 'Use an existing reference' button

https://gerrit.wikimedia.org/r/483335

Ammarpad assigned this task to matmarex.Jan 31 2019, 8:19 AM

Change 483335 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] ve.ui.MWReferenceDialog: Remove 'Use an existing reference' button

https://gerrit.wikimedia.org/r/483335

Ryasmeen edited projects, added Verified; removed Patch-For-Review.Mar 4 2019, 8:25 PM
Ryasmeen awarded a token.
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.
ppelberg closed this task as Resolved.Mar 5 2019, 7:05 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 5 2019, 7:05 AM